View Issue Details

IDProjectCategoryView StatusLast Update
0018285LazarusLCLpublic2018-10-26 14:08
Reporterbald zhangAssigned ToPaul Ishenin 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0018285: Treeview do not draw text in middle by default
Descriptionwhen set images that high than 16x16(24x24 for example), the draw area is higher, but the node text is drawed on top of the rect.

I do some search and found the DT_SINGLELINE is needed by DT_VCENTER, and I have done a test GTK2 will be ok with the DT_SINGLELINE flag.
TagsNo tags attached.
Fixed in Revision28863
LazTarget0.99.0
WidgetsetWin32/Win64
Attached Files

Relationships

related to 0034461 resolvedZeljan Rikalo Patches TreeItem text is centered instead of left justified 

Activities

2010-12-21 12:00

 

Paul Ishenin

2011-01-04 11:18

manager   ~0044859

Thanks for the hint. Please test and close if ok.

bald zhang

2011-01-05 02:59

reporter   ~0044889

test result(fpc 2.4.2):
  Windows 7 x86_64: ok
  Windows 2003 x86: ok
  Gtk2 2.18.9.....: ok
  QT 4.6.3........: it's ok before fix

my Linux box: Slackware 13.1

Issue History

Date Modified Username Field Change
2010-12-21 12:00 bald zhang New Issue
2010-12-21 12:00 bald zhang File Added: lazarus_treeview_text_not_middle.png
2010-12-21 12:00 bald zhang Widgetset => Win32/Win64
2010-12-22 19:49 Vincent Snijders LazTarget => 0.99.0
2010-12-22 19:49 Vincent Snijders Status new => acknowledged
2010-12-22 19:49 Vincent Snijders Target Version => 0.99.0
2011-01-04 11:18 Paul Ishenin Fixed in Revision => 28863
2011-01-04 11:18 Paul Ishenin Status acknowledged => resolved
2011-01-04 11:18 Paul Ishenin Fixed in Version => 0.9.31 (SVN)
2011-01-04 11:18 Paul Ishenin Resolution open => fixed
2011-01-04 11:18 Paul Ishenin Assigned To => Paul Ishenin
2011-01-04 11:18 Paul Ishenin Note Added: 0044859
2011-01-05 02:59 bald zhang Status resolved => closed
2011-01-05 02:59 bald zhang Note Added: 0044889
2011-01-24 10:27 Vincent Snijders Fixed in Version 0.9.31 (SVN) => 0.9.29 (SVN)
2018-10-26 14:08 Zeljan Rikalo Relationship added related to 0034461